December 7, 2001 --------

DDT.inc :
  Updated to match the latest Win32API.inc file.

Win32API.inc :
  Fixed waveInOpen declare.

WinINet.inc :
  Fixed InternetReadFile declare.


December 3, 2001 --------

CommCtrl.inc :
  Documented %NOCOMBOEX and %NOTRACKMOUSEEVENT equates.
  Tested for cross-dependent conditional compilation issues. Passed.

Win32API.inc :
  Fixed Net* declares: assorted BYVAL issues + LONG to DWORD conversions.
  Updated %SHGFI_* equates.


November 29, 2001 -------

Win32API.inc :
  Added %HWND_MESSAGE equate. Converted %HWND_* equates to DWORD form.


November 28, 2001 -------

Win32API.inc :
  Added %CS_DROPSHADOW equate for Windows XP.


November 12, 2001 -------

Win32API.inc :
  Fixed some dependency issues with using the %NOGDI equate.


November 9, 2001 --------

MMSystem.inc :
  This 16-bit include file was removed from the 32-bit WinAPI file set.

Win32API.inc :
  Moved DISPLAY_DEVICE type outside conditional compilation.
  Converted LONGs to DWORDs as appropriate for multimedia time functions.
  INPUT_TYPE is now DWORD-aligned.


November 8, 2001 --------

DDT.inc :
  Updated %DESKTOP_* equates.
  Updated %HSHELL_* equates for shell support.
  Updated %RT_* equates for predefined resource types.
  Added shell support equates %ACCESS_*, %APPCOMMAND_*, %FAPPCOMMAND_*.
  Added %WSF_VISIBLE, %ARW_* equates.
  Added %GWLP_*, %GCLP_* equates for window and class field offsets.

Win32API.inc :
  Fixed MenuItemFromPoint declare.
  Updated %CDS_* equates for ChangeDisplaySettings.
  Updated %DESKTOP_* equates.
  Updated %HSHELL_* equates for shell support.
  Updated %RT_* equates for predefined resource types.
  Added shell support equates %ACCESS_*, %APPCOMMAND_*, %FAPPCOMMAND_*.
  Added %ARW_*, %VP_*, %WSF_VISIBLE equates.
  Added %ATF_*, %FKF_*, %MKF_*, %SKF_*, %SSF_*, %SSGF_*, %SSTF_*, %SSWF_*,
    %TKF_* equates for accessibility support.
  Added %DISP_CHANGE_* equates for ChangeDisplaySettings.
  Added %ENUM_*_SETTINGS equates for display settings.
  Added %GWLP_*, %GCLP_* equates for window and class field offsets.
  Added %MONITOR_*, %MONITORINFOF_* equates for multi-monitor API.
  Added %SERKF_* equates for SERIALKEYS.
  Added %EDS_RAWMODE equate for EnumDisplaySettingsEx.
  Added %UOI_* equates for user objects.
  Added ACCESSTIMEOUT, FILTERKEYS, MOUSEKEYS, SOUNDSENTRY, STICKYKEYS,
    TOGGLEKEYS types for accessibility support.
  Added USEROBJECTFLAGS type for user objects.
  Added types SERIALKEYS, MONITORINFO, MONITORINFOEX, VIDEOPARAMETERS.
  Added declares ChangeDisplaySettingsEx, CreateWindowStation,
    EnumDisplayDevices, EnumDisplayMonitors, EnumDisplaySettings,
    EnumDisplaySettingsEx, GetMonitorInfo, MonitorFromPoint, MonitorFromRect,
    MonitorFromWindow.


November 6, 2001 --------

WSock32.inc :
  Cosmetic fix of WSAStartup declare.


October 26, 2001 --------

CommCtrl.inc :
  Removed dependency of the TreeView section on the ListView section.


October 25, 2001 --------

Win32API.inc :
  Removed bogus %EW_RESTARTWINDOWS equate.
  Fixed %EWL_POWEROFF (should be %EWX_POWEROFF).
  Added %EWX_FORCEIFHUNG equate.
  Fixed alias for GetRegionData declare.


October 22, 2001 --------

Win32API.inc :
  Added declare for GetFileAttributesEx and type WIN32_FILE_ATTRIBUTE_DATA.


October 18, 2001 --------

Standardized on LONG for Windows message equates. Changed NMHDR.code to LONG
for consistency with this move.


October 17, 2001 --------

Added automatic definition of %NOBYVALPTR to Win32API.inc so declares can be
made portable between PB/CC 2.0x and PB/DLL 6.0x versions. Updated all include
files to take advantage of %NOBYVALPTR as appropriate.

RichEdit.inc :
  Rebuilt from the latest Microsoft SDK files, a significant expansion.

Win32API.inc :
  Merged in many new items from former beta version. This file is now too
    large to load in the IDEs for PB/CC 2.00 and PB/DLL 6.00. Use a newer
    version of the IDE or another editor if you need to modify it.
  Added %MAX_DRIVE, %MAX_DIR, %MAX_FNAME, %MAX_EXT to supplement %MAX_PATH.



October 11, 2001 --------

CommCtrl.inc :
  Fixed name of DLL to call for flat scrollbar routines.
  Fixed name of DLL to call for TrackMouseEvent.

Win32API.inc :
  Changed name of ACCEL type to ACCELAPI.



September 25, 2001 ------

Win32API.inc :
  Added %DSS_* and %DST_* equates for DrawState API.
  Updated %DT_* equates for DrawText API.
  Updated %SW_* scrolling flags.



September 20, 2001 ------

CommCtrl.inc :
  Retagged %LVS_* equates as DWORDs. The former default could be a problem
    with %LVS_TYPESTYLEMASK and %LVS_NOSORTHEADER equates.



September 18, 2001 ------

Win32API.inc :
  Added info from sensapi.h file: %NETWORK_ALIVE_* equates, QOCINFO type,
    IsDestinationReachable and IsNetworkAlive declares.
  Fixed ReadConsoleOutput and WriteConsoleOutput declares.
  Converted console handle parameters from LONG to DWORD.
  Fixed ChildWindowFromPointEx declare.



September 17, 2001 ------

CommCtrl.inc :
  Fixed capitalization error in ImageList_DragShowNolock declare.



September 11, 2001 ------

Resource.H :
  Updated LVS_* equates.
  Added LVS_EX_* equates.



September 7, 2001 --------

Added Wininet.inc to the distribution.



September 4, 2001 --------

Win32API distributions are now automatically tested and verified to avoid
syntax errors in future builds.

MMSystem.inc :
  Changed member name Units to lUnits in MMTIME type.

RichEdit.inc :
  Added protection against multiply-including this file.
  Added automatic loading of Win32API.inc if it hasn't already been done.



August 30, 2001 ---------

CommCtrl.inc :
  Fixed ListView_GetCheckState function correctly.

ComDlg32.inc :
  Moved PAGESETUPDLGA type from Win32API.inc file. Updated handles to DWORDs.
  Moved %PSD_* equates from Win32API.inc file. Updated %PSD_* equates.
  Added PageSetupDlg declare.

Win32API.inc :
  Moved PAGESETUPDLGA type and %PSD_* equates to ComDlg32.inc file.



August 29, 2001 ---------

MDI32.inc :
  Fixed MdiActivate and MdiDestroy functions.
  Changed MdiIconArrange function to a sub.
  Converted handles from LONG to DWORD values.

Win32API.inc :
  Changed member name Profile to pProfile in USER_INFO_3 type.



August 28, 2001 ---------

CommCtrl.inc :
  Fixed ListView_GetCheckState function.
  Added ListView_SetCheckState function.



August 23, 2001 ---------

The 16-bit API files have been split off into a separate distribution and may
now be found in the PBDLL16 area.



August 22, 2001 ---------

Win32API.inc :
  Fixed CREATE_PROCESS_DEBUG_INFO type.



August 20, 2001 ---------

Win32API.inc :
  Fixed GetTokenInformation declare.
CommCtrl.inc :
  Fixed several typos.



August 13, 2001 ---------

Win32API.inc :
  Updated %REG_* equates.
  Converted to LUID type from QUAD in appropriate cases.



August 10, 2001 ---------

CommCtrl.inc : ...updated according to commctrl.h of 11 April 2001...
  Converted $ metacommands to # metacommands.
  Updated equates %CCM_*, %DTS_*, %HDM_*, %HDN_*, %HDS_*, %HDI_*, %I_*,
      %LVS_EX_*, %NFS_*, %NM_*, %RB_*, %RBHT_*, %RBN_*, %RBBS_*, %SBARS_*,
      %SBT_*, %TB_*, %TBCDRF_*, %TBS_*, %TBSTYLE_*, %TCN_*, %TME_*, %TTM_*,
      %TTS_*, %TVM_*, %TVN_*, %TVS_*
  Added %BTNS_*, %HDFT_*, %TBNRF_*, %TTI_*, %WMN_* equates.
  Updated types HD_ITEM, NMTOOLBAR
  Added types NMHDFILTERBTNCLICK, NMTBSAVE, NMTBRESTORE, NMTOOLTIPSCREATED
  LONG to DWORD conversions for handle types.
  Added functions Header_SetBitmapMargin, Header_GetBitmapMargin,
      Header_SetFilterChangeTimeout, Header_EditFilter, Header_ClearFilter,
      Header_ClearAllFilters, TreeView_GetItemState, TreeView_SetCheckState,
      TreeView_SetItemState, TreeView_GetCheckState, TreeView_GetLineColor,
      TreeView_SetLineColor
  Added new ifdef equates: %NOMENUHELP, %NOMUI
  Added declares: InitMUILanguage, GetMUILanguage



August 9, 2001 ----------

Win32API.inc :
  Moved %MIN/%MAX equate block up to restore referential order.
  Updated %MF_ equates for Add/Check/EnableMenuItem.
  Added GUIDAPI type.



August 7, 2001 ----------

Win32API.inc :
  Added %MFS_* equates for Add/Check/EnableMenuItem.
  Added %HW_PROFILE_GUIDLEN, %MAX_PROFILE_LEN equates for Plug'n'Play APIs.
  Updated %CALLBACK_* and %WAIT_* equates.
  Added HW_PROFILE_INFO type.
  Added CoCreateGuid, GetCurrentHWProfile, GetSystemTimeAsFileTime declares.



July 30, 2001 -----------

Win32API.inc :
  Fixed GetVolumeInformation, RegEnumValue declares (broken in last revision).



July 26, 2001 -----------

Win32API.inc :
  Adjusted GetTimeZoneInformation, RegEnumValue declares.
  Converted various additional handle values from LONG to DWORD.
  Fixed %BATTERY_LIFE_UNKNOWN, %CLR_INVALID, %GDI_ERROR, %HGDI_ERROR,
    %INFINITE, %RESOURCETYPE_UNKNOWN, %SPECIFIC_RIGHTS_ALL,
    %TIME_ZONE_ID_INVALID equates.
  Updated and fixed %DMDITHER_* equates.



July 23, 2001 -----------

Win32API.inc :
  Fixed %NMPWAIT_WAIT_FOREVER equate.
  Added GetAncestor declare.
  Added %GA_* equates.
  Updated %FS_*, %FILE_* equates.
  Adjusted GetVolumeInformation and GetLogicalDriveStrings declares.



July 19, 2001 -----------

Win32API.inc :
  Updated %LANG_*, %SUBLANG_*, %SORT_* equates.



July 17, 2001 -----------

Win32API.inc :
  FillMemory, CopyMemory and ZeroMemory have been changed from DECLAREs to
    actual SUBs, as it turns out that 32-bit Windows does not support these
    APIs directly.



July 13, 2001 -----------

Win32API.inc :
  Added Sys*String* declares from oleauto.h.



July 12, 2001 -----------

Win32API.inc :
  Updated equates for stock logical objects.
  Added SetDCBrushColor, SetDCPenColor declares.
  Converted various additional handle values from LONG to DWORD.



July 11, 2001 -----------

IPHlpAPI.inc : NEW header file for "Internet Protocol Helper" routines.
  Requires Windows 98 or ME or later, NT 4.0 SP4 or later, or Windows 2000.

Win32API.inc :
  Replaced all references to LARGE_INTEGER with QUAD.



July 10, 2001 -----------

Win32API.inc :
  Added InitializeCriticalSectionAndSpinCount, SetCriticalSectionSpinCount
    declares.



July 9, 2001 ------------

ComDlg32.inc :
  Added OFNOTIFY type.

DDT.inc :
  Updated %ID* dialog box command ids.

Win32API.inc :
  Adjusted CopyMemory, MoveMemory declares.
  Added CoTaskMemAlloc, CoTaskMemFree, CoTaskMemRealloc, FillMemory,
    ZeroMemory declares.
  Updated %MB_* message box flags and MBCS flags.
  Updated %ID* dialog box command ids.



July 6, 2001 ------------

DDT.inc :
  Updated %MF_* and %MFT_* menu flag equates.



July 5, 2001 ------------

Win32API.inc :
  Added %PBT_* power management equates.
  Fixed BroadcastSystemMessage declare.
  Added BroadcastSystemMessageA declare. Use this on NT and Windows 2000
    instead of BroadcastSystemMessage, which is for Win95-based OSes.
  Added %BSM_*, %BSF_*, %BROADCAST_*, %DEVICE_NOTIFY_* equates.



July 3, 2001 ------------

Win32API.inc :
  Added LockWorkStation declare.



July 2, 2001 ------------

Win32API.inc :
  Fixed EXCEPTION_POINTERS type.



June 25, 2001 -----------

Win32API.inc :
  Added %SHCNE_*, %SHCNEE_*, %SHCNF_* equates.
  Added declare for SHChangeNotify.
  Minor fix for SYSTEM_INFO type (INTEGERs are now WORDs).

WSock32.inc :
  Corrected declare for getsockopt.
  Added %IP_* equates.



June 21, 2001 -----------

Win32API.inc :
  Corrected AddPrinter, AddPrinterDriver declarations.



June 19, 2001 -----------

CommCtrl.inc :
  Fixed MonthCal_GetColor function.



June 18, 2001 -----------

ComDlg32.inc :
  Added types: PRINTDLGEXAPI, PRINTPAGERANGE
  Added declares: PrintDlgEx
  Added equates: %START_PAGE_GENERAL
  Updated equates: %PD_*
  Removed type DEVNAMES (already in Win32API.inc)
  Added $IF to pull in Win32API.inc as necessary
  Broadened coverage of %NOPRINTDLG
  Corrected PrinterDialog, OpenFileDialog, SaveFileDialog type definitions
  Corrected types OPENFILEDIALOG, PRINTDLGAPI

Win32API.inc :
  Added types: MEMORYSTATUSEX
  Added declares: GlobalMemoryStatusEx, VirtualAllocEx, VirtualFreeEx
  Corrected types PROCESS_INFORMATION, SHELLEXECUTINFO
  Corrected declares VirtualFree



June 15, 2001 -----------

CommCtrl.inc :
  Added %NOEDIT equate to the comment list at the top of the file.
  Added equates and declarations for flat scroll bars. Note that the Microsoft
    declaration for the index is given as a LONG for FlatSB_GetScrollProp, but
    is documented (and elsewhere used) as a DWORD. So, we have gone with DWORD
    for this parameter.

Win32API.inc:
  Added types: TRIVERTEX, GRADIENT_TRIANGLE, GRADIENT_RECT, BLENDFUNCTION,
    DIBSECTION.



June 4, 2001 ------------

Win32API.inc :
  Renamed VARIANT type to VARIANTAPI.



May 30, 2001 ------------

Win32API.inc :
  #END IF --> #ENDIF
  Fixed GetPrivateProfileSectionNames declaration
  Updated AdjustTokenPrivileges declaration



May 25, 2001 ------------

Win32API.inc :
  Added GetPrivateProfileSectionNames declaration.
  Changed LONGs to DWORDs as appropriate for GetPrivateProfile* functions.
  Updated %CSIDL_* equates.
  Updated %VER_* equates.
  Updated %CF_* equates.



May 22, 2001 ------------

Win32API.inc : Added %CBS_LOWERCASE
DDT.inc      : Added %CBS_LOWERCASE



May 21, 2001 ------------

Win32API.inc : Corrected the alias for GetFontData
CommCtrl.inc : Converted InitCommonControlsEx from SUB to FUNCTION
